<template lang="pug">
.row.mx-1(v-if='connected')
  BaseModalLoader.x-loader(:isLoading='loading')
  .col-12.pt-3.d-flex.justify-content-center(v-if='!loading && $butils.isNil(zone)')
    span.alert.alert-secondary Please select a zone...
  ServerStatus(v-for='srv in servers' :key='`${zone}_${srv.name}`' :server='srv' :zone='zone')
.row.mx-1(v-else)
  .col-12.pt-3.d-flex.justify-content-center
    span.alert.alert-danger Disconnected
</template>

<script>

export { default } from './ServerList.vue.js';

</script>

<style>
.x-loader {
  height: 98%;
}
</style>
